module(..., package.seeall)

-- Main function - MUST return a display.newGroup()
function new()
	local localGroup = display.newGroup()
	
	-- Background
	local background = display.newImage("images/background1.png")
	localGroup:insert(background)
	
	-- Title
	local title = display.newText("Director Class", 0, 0, native.systemFontBold, 16)
	title:setTextColor( 255,255,255)
	title.x = 160
	title.y = 20
	localGroup:insert(title)

	-- Credits
	local createdBy = display.newText("Created by Ricardo Rauber", 0, 0, native.systemFontBold, 16)
	local website = display.newText( "http://rauberlabs.blogspot.com/", 0, 0, native.systemFontBold, 16 )
	createdBy:setTextColor( 255,255,255)
	website:setTextColor( 255,255,255)
	createdBy.x = 160
	createdBy.y = 410
	website.x = 160
	website.y = 440
	localGroup:insert(createdBy)
	localGroup:insert(website)
	
	-- Buttons
	local bt01 = display.newImage("images/bt_moveFromLeft.png")
	local function bt01t ( event )
		if event.phase == "ended" then
			director:changeScene("screen2","moveFromLeft")
		end
	end
	bt01:addEventListener("touch",bt01t)
	bt01.x = 85
	bt01.y = 80
	localGroup:insert(bt01)
	--
	local bt02 = display.newImage("images/bt_moveFromRight.png")
	local function bt02t ( event )
		if event.phase == "ended" then
			director:changeScene("screen2","moveFromRight")
		end
	end
	bt02:addEventListener("touch",bt02t)
	bt02.x = 240
	bt02.y = 80
	localGroup:insert(bt02)
	--
	local bt03 = display.newImage("images/bt_overFromLeft.png")
	local function bt03t ( event )
		if event.phase == "ended" then
			director:changeScene("screen2","overFromLeft")
		end
	end
	bt03:addEventListener("touch",bt03t)
	bt03.x = 85
	bt03.y = 150
	localGroup:insert(bt03)
	--
	local bt04 = display.newImage("images/bt_overFromRight.png")
	local function bt04t ( event )
		if event.phase == "ended" then
			director:changeScene("screen2","overFromRight")
		end
	end
	bt04:addEventListener("touch",bt04t)
	bt04.x = 240
	bt04.y = 150
	localGroup:insert(bt04)
	--
	local bt05 = display.newImage("images/bt_overFromTop.png")
	local function bt05t ( event )
		if event.phase == "ended" then
			director:changeScene("screen2","overFromTop")
		end
	end
	bt05:addEventListener("touch",bt05t)
	bt05.x = 85
	bt05.y = 220
	localGroup:insert(bt05)
	--
	local bt06 = display.newImage("images/bt_overFromBottom.png")
	local function bt06t ( event )
		if event.phase == "ended" then
			director:changeScene("screen2","overFromBottom")
		end
	end
	bt06:addEventListener("touch",bt06t)
	bt06.x = 240
	bt06.y = 220
	localGroup:insert(bt06)
	--
	local bt07 = display.newImage("images/bt_flip.png")
	local function bt07t ( event )
		if event.phase == "ended" then
			director:changeScene("screen2","flip")
		end
	end
	bt07:addEventListener("touch",bt07t)
	bt07.x = 85
	bt07.y = 290
	localGroup:insert(bt07)
	--
	local bt08 = display.newImage("images/bt_downFlip.png")
	local function bt08t ( event )
		if event.phase == "ended" then
			director:changeScene("screen2","downFlip")
		end
	end
	bt08:addEventListener("touch",bt08t)
	bt08.x = 240
	bt08.y = 290
	localGroup:insert(bt08)
	--
	local bt09 = display.newImage("images/bt_fade.png")
	local function bt09t ( event )
		if event.phase == "ended" then
			director:changeScene("screen2","fade","green")
		end
	end
	bt09:addEventListener("touch",bt09t)
	bt09.x = 85
	bt09.y = 360
	localGroup:insert(bt09)
	--
	local bt10 = display.newImage("images/bt_fade.png")
	local function bt10t ( event )
		if event.phase == "ended" then
			director:changeScene("screen2","fade",255,255,255)
		end
	end
	bt10:addEventListener("touch",bt10t)
	bt10.x = 240
	bt10.y = 360
	localGroup:insert(bt10)
	
	-- MUST return a display.newGroup()
	return localGroup
end
